Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::rtc::DirectCdnStreamingMediaOptions Struct Reference

`#include <IAgoraRtcEngine.h>`

## Public Member Functions
| DirectCdnStreamingMediaOptions ()
| ~DirectCdnStreamingMediaOptions ()
void | SetAll (const DirectCdnStreamingMediaOptions &change)
bool | operator== (const DirectCdnStreamingMediaOptions &o) const
DirectCdnStreamingMediaOptions & | operator= (const DirectCdnStreamingMediaOptions &replace)

## Public Attributes
Optional< bool > | publishCameraTrack
Optional< bool > | publishMicrophoneTrack
Optional< bool > | publishCustomAudioTrack
Optional< bool > | publishCustomVideoTrack
Optional< bool > | publishMediaPlayerAudioTrack
Optional< int > | publishMediaPlayerId
Optional< video_track_id_t > | customVideoTrackId

## Detailed Description

Deprecated
  v4.6.0.

## Constructor & Destructor Documentation

## ◆ DirectCdnStreamingMediaOptions()

agora::rtc::DirectCdnStreamingMediaOptions::DirectCdnStreamingMediaOptions | ( |  | ) |
| inline

## ◆ ~DirectCdnStreamingMediaOptions()

agora::rtc::DirectCdnStreamingMediaOptions::~DirectCdnStreamingMediaOptions | ( |  | ) |
| inline

## Member Function Documentation

## ◆ SetAll()

void agora::rtc::DirectCdnStreamingMediaOptions::SetAll | ( | const DirectCdnStreamingMediaOptions & | change | ) |
| inline

## ◆ operator==()

bool agora::rtc::DirectCdnStreamingMediaOptions::operator== | ( | const DirectCdnStreamingMediaOptions & | o | ) | const
| inline

## ◆ operator=()

DirectCdnStreamingMediaOptions & agora::rtc::DirectCdnStreamingMediaOptions::operator= | ( | const DirectCdnStreamingMediaOptions & | replace | ) |
| inline

## Member Data Documentation

## ◆ publishCameraTrack

Optional<bool> agora::rtc::DirectCdnStreamingMediaOptions::publishCameraTrack

Sets whether to publish the video captured by the camera:

- `true`: Publish the video captured by the camera.
- `false`: (Default) Do not publish the video captured by the camera.

## ◆ publishMicrophoneTrack

Optional<bool> agora::rtc::DirectCdnStreamingMediaOptions::publishMicrophoneTrack

Sets whether to publish the audio captured by the microphone:

- `true`: Publish the audio captured by the microphone.
- `false`: (Default) Do not publish the audio captured by the microphone.

## ◆ publishCustomAudioTrack

Optional<bool> agora::rtc::DirectCdnStreamingMediaOptions::publishCustomAudioTrack

Sets whether to publish the captured audio from a custom source:

- `true`: Publish the captured audio from a custom source.
- `false`: (Default) Do not publish the captured audio from the custom source.

## ◆ publishCustomVideoTrack

Optional<bool> agora::rtc::DirectCdnStreamingMediaOptions::publishCustomVideoTrack

Sets whether to publish the captured video from a custom source:

- `true`: Publish the captured video from a custom source.
- `false`: (Default) Do not publish the captured video from the custom source.

## ◆ publishMediaPlayerAudioTrack

Optional<bool> agora::rtc::DirectCdnStreamingMediaOptions::publishMediaPlayerAudioTrack

Determines whether to publish the audio track of media player source.

- true: Publish the audio track of media player source.
- false: (Default) Do not publish the audio track of media player source.

## ◆ publishMediaPlayerId

Optional<int> agora::rtc::DirectCdnStreamingMediaOptions::publishMediaPlayerId

Determines which media player source should be published. You can get the MediaPlayerId after calling getMediaPlayerId() of AgoraMediaPlayer.

## ◆ customVideoTrackId

Optional<video_track_id_t> agora::rtc::DirectCdnStreamingMediaOptions::customVideoTrackId

The video track ID returned by calling the `createCustomVideoTrack` method. The default value is 0.